<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Predictores de saltos, IE-0521: Fichero Fuente include/torneo.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Predictores de saltos, IE-0521
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generado por Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Buscar');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Buscar');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">torneo.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TOURNAMENT_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TOURNAMENT_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;hglobal.hpp&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;privado.hpp&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classtorneo.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="classtorneo.html">torneo</a>: <span class="keyword">public</span> <a class="code" href="classpredictor.html">predictor</a>{</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classtorneo.html#a9e8826b0cc589b805a7dafb6b31633e7">   14</a></span>&#160;    <a class="code" href="classhglobal.html">hglobal</a>* <a class="code" href="classtorneo.html#a9e8826b0cc589b805a7dafb6b31633e7">gshare</a>;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classtorneo.html#a45f1f3df72e0df1b2433cf697ea3e1f6">   18</a></span>&#160;    <a class="code" href="classprivado.html">privado</a>* <a class="code" href="classtorneo.html#a45f1f3df72e0df1b2433cf697ea3e1f6">pshare</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <a class="code" href="classtorneo.html#a3bf53fed2d6a18b20d0faddeeee8e673">torneo</a>(<span class="keywordtype">int</span> s, <span class="keywordtype">int</span> gh, <span class="keywordtype">int</span> ph);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classtorneo.html#a7cf94a3178347e90f6c66beb8b6f34ae">prediccion</a>(<span class="keywordtype">long</span> progctr,<span class="keywordtype">char</span> decision);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classtorneo.html#a6f662bccf5634f7cde867a3ff882c82f">~torneo</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;};</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classtorneo_html_a6f662bccf5634f7cde867a3ff882c82f"><div class="ttname"><a href="classtorneo.html#a6f662bccf5634f7cde867a3ff882c82f">torneo::~torneo</a></div><div class="ttdeci">~torneo()</div></div>
<div class="ttc" id="classhglobal_html"><div class="ttname"><a href="classhglobal.html">hglobal</a></div><div class="ttdef"><b>Definition:</b> hglobal.hpp:9</div></div>
<div class="ttc" id="classpredictor_html"><div class="ttname"><a href="classpredictor.html">predictor</a></div><div class="ttdef"><b>Definition:</b> predictor.hpp:11</div></div>
<div class="ttc" id="classprivado_html"><div class="ttname"><a href="classprivado.html">privado</a></div><div class="ttdef"><b>Definition:</b> privado.hpp:8</div></div>
<div class="ttc" id="classtorneo_html_a3bf53fed2d6a18b20d0faddeeee8e673"><div class="ttname"><a href="classtorneo.html#a3bf53fed2d6a18b20d0faddeeee8e673">torneo::torneo</a></div><div class="ttdeci">torneo(int s, int gh, int ph)</div></div>
<div class="ttc" id="classtorneo_html"><div class="ttname"><a href="classtorneo.html">torneo</a></div><div class="ttdef"><b>Definition:</b> torneo.hpp:9</div></div>
<div class="ttc" id="classtorneo_html_a7cf94a3178347e90f6c66beb8b6f34ae"><div class="ttname"><a href="classtorneo.html#a7cf94a3178347e90f6c66beb8b6f34ae">torneo::prediccion</a></div><div class="ttdeci">char prediccion(long progctr, char decision)</div></div>
<div class="ttc" id="classtorneo_html_a9e8826b0cc589b805a7dafb6b31633e7"><div class="ttname"><a href="classtorneo.html#a9e8826b0cc589b805a7dafb6b31633e7">torneo::gshare</a></div><div class="ttdeci">hglobal * gshare</div><div class="ttdef"><b>Definition:</b> torneo.hpp:14</div></div>
<div class="ttc" id="classtorneo_html_a45f1f3df72e0df1b2433cf697ea3e1f6"><div class="ttname"><a href="classtorneo.html#a45f1f3df72e0df1b2433cf697ea3e1f6">torneo::pshare</a></div><div class="ttdeci">privado * pshare</div><div class="ttdef"><b>Definition:</b> torneo.hpp:18</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generado por &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
